RagTime5SpreadsheetInternal::Sheet::Row Struct Reference

a row: a list of cell map More...

## Public Member Functions

| Row (MWAWVec2i const &row, int plane)
| constructor
MWAWVec2i const & | getRows () const
| returns the rows
bool | isEmpty () const
| returns true if the row is empty
void | splitColumns (MWAWVec2i const &cols)
| split columns if needed, so that we can insert cells correspond to the cols interval
void | update (MWAWVec2i const &cols, int id, int contentId, MWAWVec2i const &beginCellPos, std::set< MWAWVec2i > &unsetCell)
| update the cells content type
void | resetMinRow (int row)
| reset each row's cell position to new row position

## Public Attributes

MWAWVec2i | m_rows
| the rows (min-max)
std::map< MWAWVec2i, CellContent > | m_columnsToDataMap
| the map columns to data

## Friends

std::ostream & | operator<< (std::ostream &o, Row const &row)

## Detailed Description

a row: a list of cell map

## Constructor & Destructor Documentation

## Row()

RagTime5SpreadsheetInternal::Sheet::Row::Row | ( | MWAWVec2i const & | row,
|  | int | plane )

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getRows()

MWAWVec2i const & RagTime5SpreadsheetInternal::Sheet::Row::getRows | ( |  | ) | const

inline

returns the rows

## isEmpty()

bool RagTime5SpreadsheetInternal::Sheet::Row::isEmpty | ( |  | ) | const

inline

returns true if the row is empty

## resetMinRow()

void RagTime5SpreadsheetInternal::Sheet::Row::resetMinRow | ( | int | row | ) |

inline

reset each row's cell position to new row position

Referenced by RagTime5SpreadsheetInternal::Sheet::Plane::splitRows().

## splitColumns()

void RagTime5SpreadsheetInternal::Sheet::Row::splitColumns | ( | MWAWVec2i const & | cols | ) |

inline

split columns if needed, so that we can insert cells correspond to the cols interval

Referenced by update().

## update()

void RagTime5SpreadsheetInternal::Sheet::Row::update | ( | MWAWVec2i const & | cols,
|  | int | id,
|  | int | contentId,
|  | MWAWVec2i const & | beginCellPos,
|  | std::set< MWAWVec2i > & | unsetCell )

inline

update the cells content type

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Row const & | row )

friend

## Member Data Documentation

## m_columnsToDataMap

std::map<MWAWVec2i, CellContent> RagTime5SpreadsheetInternal::Sheet::Row::m_columnsToDataMap

the map columns to data

Referenced by isEmpty(), operator<<, resetMinRow(), Row(), splitColumns(), RagTime5SpreadsheetInternal::Sheet::Plane::update(), and update().

## m_rows

MWAWVec2i RagTime5SpreadsheetInternal::Sheet::Row::m_rows

the rows (min-max)

Referenced by getRows(), Row(), and RagTime5SpreadsheetInternal::Sheet::Plane::splitRows().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx